> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all direct debits

> Returns a list of direct debit mandates for the specified account.



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json get /direct-debits
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /direct-debits:
    get:
      tags:
        - Direct Debits
      summary: List all direct debits
      description: Returns a list of direct debit mandates for the specified account.
      operationId: findAllDirectDebits
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: budgetIds
          in: query
          schema:
            description: A comma-separated set of budget ids to filter by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
        - name: search
          in: query
          schema:
            description: The term to search the records for.
            type:
              - string
            maxLength: 100
            example: Cesar+Treutel
        - name: status
          in: query
          schema:
            description: Comma separated list of statuses to filter the direct debits by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - active
                    - cancelled
                    - expired
            enum:
              - active
              - cancelled
              - expired
            example: active, cancelled, expired
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          description: The unique identifier of the direct debit.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        reference:
                          type:
                            - string
                          description: >-
                            The direct debit reference, which may be set by the
                            originator.
                          example: fre4r5tg
                        status:
                          type:
                            - string
                          enum:
                            - ACTIVE
                            - CANCELLED
                          description: The status of the direct debit.
                          example: ACTIVE
                        priority:
                          type:
                            - integer
                          minimum: 1
                          maximum: 10
                          description: >-
                            The payment priority when there are insufficient
                            funds.
                          example: 2
                        originator:
                          type:
                            - object
                          properties:
                            id:
                              type:
                                - string
                              description: The unique identifier of the originator.
                              example: '123456'
                            accountName:
                              type:
                                - string
                              description: The account name of the originator.
                              example: Netflix Inc
                            address:
                              type:
                                - object
                                - 'null'
                              properties:
                                addressType:
                                  type:
                                    - string
                                    - 'null'
                                  description: The type of address.
                                  example: ADDR
                                addressLine:
                                  type:
                                    - string
                                    - 'null'
                                  description: The address line.
                                  example: Vintners Place, 68, Upper Thames Street
                                city:
                                  type:
                                    - string
                                    - 'null'
                                  description: The city.
                                  example: London
                                postcode:
                                  type:
                                    - string
                                    - 'null'
                                  description: The postcode.
                                  example: EC4V 3BJ
                                countryCode:
                                  type:
                                    - string
                                    - 'null'
                                  enum:
                                    - AD
                                    - AE
                                    - AF
                                    - AG
                                    - AI
                                    - AL
                                    - AM
                                    - AO
                                    - AQ
                                    - AR
                                    - AS
                                    - AT
                                    - AU
                                    - AW
                                    - AX
                                    - AZ
                                    - BA
                                    - BB
                                    - BD
                                    - BE
                                    - BF
                                    - BG
                                    - BH
                                    - BI
                                    - BJ
                                    - BL
                                    - BM
                                    - BN
                                    - BO
                                    - BQ
                                    - BR
                                    - BS
                                    - BT
                                    - BV
                                    - BW
                                    - BY
                                    - BZ
                                    - CA
                                    - CC
                                    - CD
                                    - CF
                                    - CG
                                    - CH
                                    - CI
                                    - CK
                                    - CL
                                    - CM
                                    - CN
                                    - CO
                                    - CR
                                    - CU
                                    - CV
                                    - CW
                                    - CX
                                    - CY
                                    - CZ
                                    - DE
                                    - DJ
                                    - DK
                                    - DM
                                    - DO
                                    - DZ
                                    - EC
                                    - EE
                                    - EG
                                    - EH
                                    - ER
                                    - ES
                                    - ET
                                    - FI
                                    - FJ
                                    - FK
                                    - FM
                                    - FO
                                    - FR
                                    - GA
                                    - GB
                                    - GD
                                    - GE
                                    - GF
                                    - GG
                                    - GH
                                    - GI
                                    - GL
                                    - GM
                                    - GN
                                    - GP
                                    - GQ
                                    - GR
                                    - GS
                                    - GT
                                    - GU
                                    - GW
                                    - GY
                                    - HK
                                    - HM
                                    - HN
                                    - HR
                                    - HT
                                    - HU
                                    - ID
                                    - IE
                                    - IL
                                    - IM
                                    - IN
                                    - IO
                                    - IQ
                                    - IR
                                    - IS
                                    - IT
                                    - JE
                                    - JM
                                    - JO
                                    - JP
                                    - KE
                                    - KG
                                    - KH
                                    - KI
                                    - KM
                                    - KN
                                    - KP
                                    - KR
                                    - KW
                                    - KY
                                    - KZ
                                    - LA
                                    - LB
                                    - LC
                                    - LI
                                    - LK
                                    - LR
                                    - LS
                                    - LT
                                    - LU
                                    - LV
                                    - LY
                                    - MA
                                    - MC
                                    - MD
                                    - ME
                                    - MF
                                    - MG
                                    - MH
                                    - MK
                                    - ML
                                    - MM
                                    - MN
                                    - MO
                                    - MP
                                    - MQ
                                    - MR
                                    - MS
                                    - MT
                                    - MU
                                    - MV
                                    - MW
                                    - MX
                                    - MY
                                    - MZ
                                    - NA
                                    - NC
                                    - NE
                                    - NF
                                    - NG
                                    - NI
                                    - NL
                                    - 'NO'
                                    - NP
                                    - NR
                                    - NU
                                    - NZ
                                    - OM
                                    - PA
                                    - PE
                                    - PF
                                    - PG
                                    - PH
                                    - PK
                                    - PL
                                    - PM
                                    - PN
                                    - PR
                                    - PS
                                    - PT
                                    - PW
                                    - PY
                                    - QA
                                    - RE
                                    - RO
                                    - RS
                                    - RU
                                    - RW
                                    - SA
                                    - SB
                                    - SC
                                    - SD
                                    - SE
                                    - SG
                                    - SH
                                    - SI
                                    - SJ
                                    - SK
                                    - SL
                                    - SM
                                    - SN
                                    - SO
                                    - SR
                                    - SS
                                    - ST
                                    - SV
                                    - SX
                                    - SY
                                    - SZ
                                    - TC
                                    - TD
                                    - TF
                                    - TG
                                    - TH
                                    - TJ
                                    - TK
                                    - TL
                                    - TM
                                    - TN
                                    - TO
                                    - TR
                                    - TT
                                    - TV
                                    - TW
                                    - TZ
                                    - UA
                                    - UG
                                    - UM
                                    - US
                                    - UY
                                    - UZ
                                    - VA
                                    - VC
                                    - VE
                                    - VG
                                    - VI
                                    - VN
                                    - VU
                                    - WF
                                    - WS
                                    - XK
                                    - YE
                                    - YT
                                    - ZA
                                    - ZM
                                    - ZW
                                  description: The ISO country code.
                                  example: GB
                              required:
                                - addressType
                                - addressLine
                                - city
                                - postcode
                                - countryCode
                          required:
                            - id
                            - accountName
                            - address
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                      required:
                        - id
                        - budgetId
                        - reference
                        - status
                        - priority
                        - originator
                        - createdAt
                    description: List of direct debits.
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: 775596ae-2624-40af-a9dc-9756110a4a03
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      reference: fre4r5tg
                      status: ACTIVE
                      priority: 2
                      originator:
                        id: '123456'
                        accountName: Netflix Inc
                        address:
                          addressType: ADDR
                          addressLine: Vintners Place, 68, Upper Thames Street
                          city: London
                          postcode: EC4V 3BJ
                          countryCode: GB
                      createdAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - budgets-direct-debits:read:any
            - budgets-direct-debits:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/direct-debits?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````